Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyMethodDoc

    org.codehaus.groovy.groovydoc.GroovyMemberDoc
      org.codehaus.groovy.groovydoc.GroovyExecutableMemberDoc
          org.codehaus.groovy.groovydoc.GroovyMethodDoc
              org.codehaus.groovy.groovydoc.GroovyDoc
                  org.codehaus.groovy.groovydoc.GroovyProgramElementDoc

All Superinterfaces:
  GroovyMemberDoc, GroovyExecutableMemberDoc, GroovyDoc, GroovyProgramElementDoc

    public interface GroovyMethodDoc
    extends GroovyExecutableMemberDoc

Method Summary
`boolean` | `isAbstract()`
`GroovyClassDoc` | `overriddenClass()`
`GroovyMethodDoc` | `overriddenMethod()`
`GroovyType` | `overriddenType()`
`boolean` | `overrides(GroovyMethodDoc arg0)`
`GroovyType` | `returnType()`
`void` | `setReturnType(GroovyType o)`

Methods inherited from interface GroovyExecutableMemberDoc
flatSignature, isNative, isSynchronized, isVarArgs, parameters, signature, thrownExceptionTypes, thrownExceptions

Methods inherited from interface GroovyMemberDoc
isSynthetic

Methods inherited from interface GroovyProgramElementDoc
annotations, containingClass, containingPackage, isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, modifierSpecifier, modifiers, qualifiedName

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface java.lang.Comparable
java.lang.Comparable#compareTo(java.lang.Object)

Method Detail

### isAbstract

    public boolean isAbstract()

### overriddenClass

    public GroovyClassDoc overriddenClass()

### overriddenMethod

    public GroovyMethodDoc overriddenMethod()

### overriddenType

    public GroovyType overriddenType()

### overrides

    public boolean overrides(GroovyMethodDoc arg0)

### returnType

    public GroovyType returnType()

### setReturnType

    public void setReturnType(GroovyType o)

Groovy Documentation